<input
(keyup)="onKey($event)"
type="string"
placeholder="Search by name"
/>
<table mat-table [dataSource]="projects" class="mat-elevation-z8">

  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef> Name </th>
    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
  </ng-container>

  <ng-container matColumnDef="stars">
    <th mat-header-cell *matHeaderCellDef> Stars </th>
    <td mat-cell *matCellDef="let element"> {{element.starCount}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

